/****************************************************************************************************

		BasicAttributesSetControler.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Pierre-Sylvain
		Date:	7/7/2006

****************************************************************************************************/

#ifndef __BasicAttributesSetControler__
#define __BasicAttributesSetControler__

#if CP_PRAGMA_ONCE
#pragma once
#endif


#include "I3DExAttributesSetControler.h"

class TBasicAttributesSetControler : public TBasicDataExchanger, public I3DExAttributesSetControler
{
public:
	virtual MCCOMErr	MCCOMAPI QueryInterface(const MCIID &riid, void** ppvObj);
	virtual uint32		MCCOMAPI AddRef()		{ return TBasicDataExchanger::AddRef(); }

	virtual boolean		MCCOMAPI ShowControllerOnObjects() const { return false; }
	virtual int32		MCCOMAPI GetSubControllerCount() { return 0; }
	virtual boolean		MCCOMAPI IsSubControllerActive(int32 subControllerIndex) { return false; }
	virtual void		MCCOMAPI InvalidateAttributesMapping() {}
	virtual void		MCCOMAPI ComputeAttributeForRead(TParamHolder& value, int32 paramIndex, int32 subControllerIndex, IAttributeValueHelper* helper) {}
	virtual boolean		MCCOMAPI ComputeAttributeForWrite(TParamHolder& value, int32 paramIndex, int32 subControllerIndex, boolean record, IAttributeCurrentValueHelper* valueHelper, IAttributeValueHelper* helper) { return true; }
	virtual void		MCCOMAPI AttributeModified(int32 paramIndex) {}
	virtual void		MCCOMAPI AttributeInvalidated(int32 paramIndex) {}
};


#endif
